import { useEffect } from 'react';
import { AppState, Platform } from 'react-native';
/**
 * App 从前台变为后台时执行
 */
export default (effect) => {
    const onChange = (state) => {
        if (state ===
            Platform.select({
                ios: 'inactive',
                android: 'background',
            })) {
            effect();
        }
    };
    useEffect(() => {
        AppState.addEventListener('change', onChange);
        return () => AppState.removeEventListener('change', onChange);
    }, []);
};
